std::__detail::_Hash_node_value_base< _Value > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes

`#include <hashtable_policy.h>`

Inheritance diagram for std::__detail::_Hash_node_value_base< _Value >:
[legend]

## Public Types

typedef _Value | value_type

## Public Member Functions

const _Value & | _M_v () const noexcept
_Value & | _M_v () noexcept
const _Value * | _M_valptr () const noexcept
_Value * | _M_valptr () noexcept

## Public Attributes

_Hash_node_base * | _M_nxt
__gnu_cxx::__aligned_buffer< _Value > | _M_storage

## Detailed Description

template<typename _Value>
struct std::__detail::_Hash_node_value_base< _Value >

struct _Hash_node_value_base

Node type with the value to store.

Definition at line 229 of file hashtable_policy.h.

## Member Typedef Documentation

## value_type

template<typename _Value >

typedef _Value std::__detail::_Hash_node_value_base< _Value >::value_type

Definition at line 231 of file hashtable_policy.h.

## Member Function Documentation

## _M_v() [1/2]

template<typename _Value >

const _Value & std::__detail::_Hash_node_value_base< _Value >::_M_v | ( |  | ) | const

inline noexcept

Definition at line 248 of file hashtable_policy.h.

## _M_v() [2/2]

template<typename _Value >

_Value & std::__detail::_Hash_node_value_base< _Value >::_M_v | ( |  | ) |

inline noexcept

Definition at line 244 of file hashtable_policy.h.

## _M_valptr() [1/2]

template<typename _Value >

const _Value * std::__detail::_Hash_node_value_base< _Value >::_M_valptr | ( |  | ) | const

inline noexcept

Definition at line 240 of file hashtable_policy.h.

## _M_valptr() [2/2]

template<typename _Value >

_Value * std::__detail::_Hash_node_value_base< _Value >::_M_valptr | ( |  | ) |

inline noexcept

Definition at line 236 of file hashtable_policy.h.

## Member Data Documentation

## _M_nxt

_Hash_node_base* std::__detail::_Hash_node_base::_M_nxt

inherited

Definition at line 216 of file hashtable_policy.h.

## _M_storage

template<typename _Value >

__gnu_cxx::__aligned_buffer<_Value> std::__detail::_Hash_node_value_base< _Value >::_M_storage

Definition at line 233 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h